org.apache.mina.statemachine.event

## Interface EventFactory

- All Known Implementing Classes:
    DefaultEventFactory

      public interface EventFactory

  Used by `StateMachineProxyBuilder` to create `Event` objects when methods are invoked on the proxy.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `create(StateContext context, Method method, Object[] arguments)` Creates a new `Event` from the specified method and method arguments.

- - ### Method Detail

    - #### create

          Event create(StateContext context,
                     Method method,
                     Object[] arguments)

      Creates a new `Event` from the specified method and method arguments.
      Parameters:
        `context` - the current `StateContext`.
        `method` - the method being invoked.
        `args` - the method arguments.
      Returns:
        the `Event` object.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.